/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This ENUM represents Volumetric ROI Measurements
 */
public enum EnumCM_VolumetricROIMeasurements {

	MEASUREMENT_GROUP("Measurement Group"),
	TRACKING_IDENTIFIER ("Tracking Identifier"),
	TRACKING__UNIQUE_IDENTIFIER("Tracking Unique Identifier"),
	IMAGE_REGION("Image Region"),
	REFERENCED_SEGMENT ("Referenced Segment"),
	SOURCE_IMAGE_FOR_SEGMENTATION("Source image forsegmentation"),
	SOURCE_SERIES_FOR_IMAGE_SEGMENTATION("Source series for image segmentation"),
	VOLUME_SURFACE ("Volume Surface"),
	ILLUSTRATION_OF_ROI("Illustration of ROI"),
	REAL_WORLD_VALUE_MAP_USED_FOR_MEASUREMENT ("RealWorld Value Map used for measurement")
	;
	private String value;
	
	EnumCM_VolumetricROIMeasurements(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
